%define         majorminor      0.10

Name:           gstreamer-python
Version:        0.10.16
Release:        1.1%{?dist}
Summary:        Python bindings for GStreamer

Group:          Development/Languages
License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-python/gst-python-%{version}.tar.bz2
#Patch0:         gst-python-0.10.15-strayline.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       python >= 2.3
Requires:       pygtk2 >= 2.8.0
Requires:       gstreamer >= 0.10.12
Requires:       gstreamer-plugins-base >= 0.10.12

BuildRequires:  python >= 2.3
BuildRequires:  python-devel >= 2.3
BuildRequires:  pygtk2-devel >= 2.8.0
# xwindowlistener needs X11 headers
BuildRequires:  libX11-devel
BuildRequires:  gstreamer-devel >= 0.10.12
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.22
BuildRequires:  pygobject2-devel >= 2.11.2


%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       pygtk2-devel
Requires:       gstreamer-devel


%description devel
This package contains the static libraries and header files needed for
developing gstreamer-python applications.


%prep
%setup -q -n gst-python-%{version}
%{__sed} -i 's|^#!/usr/bin/env python$|#|' gst/extend/*.py
#%patch0 -p1 -b .strayline


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT docs-to-include
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
mkdir -p docs-to-include/examples
chmod -x examples/*.py
cp examples/*.py docs-to-include/examples/
rm -fr $RPM_BUILD_ROOT%{_datadir}/gst-python/%{majorminor}/examples


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/python?.?/site-packages/gst-%{majorminor}
%{_libdir}/python?.?/site-packages/pygst.py*
%{_libdir}/python?.?/site-packages/pygst.pth
%{_libdir}/python?.?/site-packages/gstoption.so
%{_libdir}/gstreamer-0.10/*
%dir %{_datadir}/gst-python
%dir %{_datadir}/gst-python/%{majorminor}
%dir %{_datadir}/gst-python/%{majorminor}/defs
%{_datadir}/gst-python/%{majorminor}/defs/*.defs


%files devel
%defattr(-,root,root,-)
%doc docs-to-include/*
%{_libdir}/pkgconfig/gst-python-%{majorminor}.pc



%changelog

